View Issue Details

IDProjectCategoryView StatusLast Update
0015835ScribusTypographypublic2019-10-06 16:25
Reporterchristoph_s Assigned ToFahad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86 64OSWindowsOS Version10
Product Version1.5.6.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0015835: "Slashed Zero" needs to be automatically disabled if the font feature "Old Style" has been selected.
DescriptionIn the Text Properties dialogue it's still possible to click on the tick box "Slashed Zero" after the option "Old Style" for numerals has been selected. Since there are no slashed zeros in "Old Style" numerals, this option ("Slashed Zero") should be disabled (greyed out) once a user opted for this kind of numbers layout.
Steps To Reproduce1) Create a new doc


2) Create a new text frame


3) Insert a zero/nil character


4) Select the complete text frame


5) In the Text Properties dialogue choose "Old Style" for ciphers under "Font Features"


6) Now try to apply "Slashed Zeros" in the same dialogue


--> No effect
TagsNo tags attached.
PatchNo

Activities

Fahad

2019-10-06 04:38

developer   ~0046741

I found in OpenType specification the following when it talks about Slashed Zero:
Feature interaction: Applies only to lining figures, so is inactivated by oldstyle figure features (e.g. onum).

see:
https://docs.microsoft.com/en-us/typography/opentype/otspec160/features_uz#tag:-'zero'

Fahad

2019-10-06 07:11

developer   ~0046742

Here is a patch fix this issue.

15835 (1,203 bytes)
From b6959d956e9ca6f8abbeeb7f132bdfc60bd17dd6 Mon Sep 17 00:00:00 2001
From: Fahad Al-Saidi <fahad.alsaidi@gmail.com>
Date: Sun, 6 Oct 2019 11:08:44 +0400
Subject: Font features:"Slashed Zero" automatically disabled if the font
 feature "Old Style" has been selected


diff --git a/scribus/ui/propertywidget_fontfeatures.cpp b/scribus/ui/propertywidget_fontfeatures.cpp
index 8828bf1ef..328556bdf 100644
--- a/scribus/ui/propertywidget_fontfeatures.cpp
+++ b/scribus/ui/propertywidget_fontfeatures.cpp
@@ -58,6 +58,7 @@ void PropertyWidget_FontFeatures::showFontFeatures(const QString& s, const QStri
 	QStringList fontFeatures = s.split(',');
 	ContextualCheck->setChecked(true);
 	CommonCheck->setChecked(true);
+	SlashedZeroCheck->setEnabled(true);
 	for (int i = 0; i < fontFeatures.count(); i++)
 	{
 		if (fontFeatures[i] == "-clig")
@@ -141,6 +142,11 @@ void PropertyWidget_FontFeatures::showFontFeatures(const QString& s, const QStri
 		else if (fontFeatures[i] == "+ss20")
 			StyleSet20->setChecked(true);
 	}
+	if (OldStyleRadio->isChecked())
+	{
+		SlashedZeroCheck->setChecked(false);
+		SlashedZeroCheck->setEnabled(false);
+	}
 }
 
 void PropertyWidget_FontFeatures::handleFontFeatures()
15835 (1,203 bytes)

jghali

2019-10-06 11:37

administrator   ~0046743

Thanks. Patch committed. I also fixed the corresponding style manager widget.

christoph_s

2019-10-06 16:25

administrator   ~0046744

Tested, fixed. Thanks.

Issue History

Date Modified Username Field Change
2019-09-30 23:30 christoph_s New Issue
2019-10-06 04:38 Fahad Note Added: 0046741
2019-10-06 07:11 Fahad File Added: 15835
2019-10-06 07:11 Fahad Note Added: 0046742
2019-10-06 11:37 jghali Assigned To => Fahad
2019-10-06 11:37 jghali Status new => resolved
2019-10-06 11:37 jghali Resolution open => fixed
2019-10-06 11:37 jghali Note Added: 0046743
2019-10-06 11:37 jghali Fixed in Version => 1.5.6.svn
2019-10-06 16:25 christoph_s Status resolved => closed
2019-10-06 16:25 christoph_s Note Added: 0046744